Create a backup from a cloud volume
To create a new backup, send a POST request to the /v1/cloud_block_storage/backups endpoint. Specify an ID of a necessary volume and give a name to a copy in the query parameters.
Authorization
bearerAuth In: header
Request Body
| Field | Details |
|---|---|
volume_id | stringA unique identifier of a volume. See a request to list volume IDs in the Cloud Volume section. |
name | stringA name of a backup. |
incremental? | booleanAn incremental backup is a copy that contains only a part of data that was modified. To make an incremental backup, fill this parameter with the |
force? | booleanIf this parameter has the |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_block_storage/backups" \ -H "Content-Type: application/json" \ -d '{ "volume_id": "lNbWJayg", "name": "baackup", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "MvbmOeYA", "openstack_uuid": null, "openstack_volume_uuid": "044432a0-71a2-4325-b892-f0810ccbe964", "region_id": 0, "region_code": "NL01", "name": "baackup", "size": 1, "status": "pending", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": null}